%define module assert
%define bname fest
%define with_maven 1

Name:          fest-assert
Version:       1.3 
Release:       %mkrel 1
Summary:       FEST Fluent Assertions
Group:         Development/Java
License:       ASL 2.0
Url:           http://fest.easytesting.org/
# svn export http://svn.codehaus.org/fest/trunk/fest-assert/ fest-assert-1.3
# tar czf fest-assert-1.3-src-svn.tar.gz fest-assert-1.3
#Source0:       http://fest.googlecode.com/files/fest-assert-1.4.zip
Source0:       fest-assert-1.3-src-svn.tar.gz
# ant build scripts
Source1:       fest-assert-1.3-autogeneratefiles.tar.gz

BuildRequires: fest-parent
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: fest-mocks
BuildRequires: fest-reflect
BuildRequires: fest-test
BuildRequires: fest-util
BuildRequires: junit4

BuildRequires: cglib
BuildRequires: easymock2
BuildRequires: easymock2-classextension
BuildRequires: hamcrest
BuildRequires: objectweb-asm
BuildRequires: objenesis

%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven >= 0:2.0.8
BuildRequires: maven-ant-plugin
BuildRequires: maven-surefire-provider-junit4
%endif

Requires:      fest-mocks
Requires:      fest-reflect
Requires:      fest-test
Requires:      fest-util

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
'Flexible' or 'fluent' assertions for testing.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n fest-assert-%{version}

%if !%with_maven
# TODO
%endif

%build

%if !%with_maven
# TODO
%else
# Failed tests: 
#  should_fail_if_actual_and_expected_are_not_equal(org.fest.assertions.FloatAssert_isEqualTo_withDelta_Test): Expecting message:<'expected:<8.888> but was:<8.688> using delta:<0.0090>'> but was:<'expected:<8.888> but was:<8.688> using delta:<0.009>'>
#  should_fail_and_display_description_of_assertion_if_actual_and_expected_are_not_equal(org.fest.assertions.FloatAssert_isEqualTo_withDelta_Test): Expecting message:<'[A Test] expected:<8.888> but was:<8.688> using delta:<0.0090>'> but was:<'[A Test] expected:<8.888> but was:<8.688> using delta:<0.009>'>
#  should_fail_if_actual_and_expected_are_not_equal(org.fest.assertions.DoubleAssert_isEqualTo_withDelta_Test): Expecting message:<'expected:<8.888> but was:<8.688> using delta:<0.0090>'> but was:<'expected:<8.888> but was:<8.688> using delta:<0.009>'>
#  should_fail_and_display_description_of_assertion_if_actual_and_expected_are_not_equal(org.fest.assertions.DoubleAssert_isEqualTo_withDelta_Test): Expecting message:<'[A Test] expected:<8.888> but was:<8.688> using delta:<0.0090>'> but was:<'[A Test] expected:<8.888> but was:<8.688> using delta:<0.009>'>

#Tests run: 3707, Failures: 4, Errors: 0, Skipped: 0

  mvn-rpmbuild -Dmaven.test.failure.ignore=true ant:ant install javadoc:aggregate
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{bname}

install -m 644 target/%{name}-%{version}.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{bname}/%{module}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}.pom
%add_to_maven_depmap org.easytesting %{name} %{version} JPP/%{bname} %{module}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE.txt
%dir %{_javadir}/%{bname}
%{_javadir}/%{bname}/%{module}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Oct 31 2011 gil <gil> 1.3-1.mga2
+ Revision: 160513
- imported package fest-assert

